#pragma once
#include "unit.h"



class Pumpkin : public Unit
{

  public:

    int                       m_WalkSpeed;

    GR::f32                   m_Angle;
    GR::f32                   m_OffsetFromCenter;

    int                       m_ShotDelay;
    bool                      m_ShotType;



    Pumpkin();


    virtual void              Update( Level& Level, const GR::f32 fElapsedTime );
    virtual void              UpdateFixed( Level& Level );


    virtual void              ProcessEvent( Level& Level, const eUnitEvent& Event );

    virtual void              OnLoad( Level& Level );

};
